;-------------------------------------------
; LCD Character table 
;-------------------------------------------
    LCDNUM0     equ    01111101b
    LCDNUM1     equ    01100000b
    LCDNUM2     equ    00111110b
    LCDNUM3     equ    01111010b
    LCDNUM4     equ    01100011b
    LCDNUM5     equ    01011011b
    LCDNUM6     equ    01011111b
    LCDNUM7     equ    01110001b
    LCDNUM8     equ    01111111b
    LCDNUM9     equ    01111011b
    LCDNUMA     equ    01110111b
    LCDNUMB     equ    01001111b
    LCDNUMC     equ    00011101b
    LCDNUMD     equ    01101110b
    LCDNUME     equ    00011111b
    LCDNUMF     equ    00010111b
    LCDNUMG     equ    01111011b
    LCDNUMH     equ    01100111b
    LCDNUMi     equ    01000000b
    LCDNUMJ     equ    01101100b
    LCDNUMK     equ    00000111b
    LCDNUML     equ    00001101b
    LCDNUMM     equ    01110101b
    LCDNUMN     equ    01000110b
    LCDNUMO     equ    01001110b
    LCDNUMP     equ    00110111b
    LCDNUMQ     equ    01110011b
    LCDNUMR     equ    00000110b
    LCDNUMS     equ    01011011b
    LCDNUMT     equ    00001111b
    LCDNUMU     equ    01101101b
    LCDNUMV     equ    01001100b
    LCDNUMw     equ    00100011b
    LCDNUMx     equ    01000011b
    LCDNUMy     equ    01101011b
    LCDNUMz     equ    00111110b
    LCDDash     equ    00000010b
;==============================================
;INPUT: WREG
;OUTPUT: WREG
;------EXAMPLE------------
;				MVL	00AH
;				CALL	LDISP
;				MVF	LCD1,F,ACCE
;-------------------------
LDISP:                 
		ANDL		00FH
		BCF		STATUS,C,ACCE	
		RRFC	WREG,F,ACCE		;H2
		
		BTSS	STATUS,C			;P__
		JMP		DISP_NO_C
;------		
DISP_C:
		MVLP	LCDTABLE
		ADDF	TBLPTRL,F,ACCE
		BTSZ	STATUS,C,ACCE
		INF		TBLPTRH,F,ACCE
		TBLR	*
    ; mvf        TBLDL,W,ACCE
    ; btsz      WREG,0,ACCE
    ; mvf        TBLDH,W,ACCE
    MVF	TBLDL,W,ACCE
		RET
		
;------_		
DISP_NO_C:
		MVLP	LCDTABLE
		ADDF	TBLPTRL,F,ACCE
		BTSZ	STATUS,C,ACCE
		INF		TBLPTRH,F,ACCE
		TBLR	*
    ; mvf        TBLDL,W,ACCE
    ; btsz      WREG,0,ACCE
    ; mvf        TBLDH,W,ACCE
    MVF	TBLDH,W,ACCE
		RET
		
LCDTABLE:
	DB	LCDNUM0,LCDNUM1      ;0
	DB	LCDNUM2,LCDNUM3      ;1
	DB	LCDNUM4,LCDNUM5      ;2
	DB	LCDNUM6,LCDNUM7      ;3
	DB	LCDNUM8,LCDNUM9      ;4
	DB	LCDNUMA,LCDNUMB      ;5
	DB	LCDNUMC,LCDNUMD      ;6
	DB	LCDNUME,LCDNUMF      ;7



