;I/O PORT	PT2.X
;				EQU	0
;				EQU	1
;				EQU	2	;EEPROM-SCL
;				EQU	3	;EEPROM-SDA
CAL_PIN	EQU	4	;EEPROM-WP
;				EQU	5
;				EQU	6
;				EQU	7

;=============================================08XH
R_INT							EQU	080H
DSBUF							EQU	081H
DLYBUF						EQU	082H
DLYBUF2						EQU	083H
R_DESTINATION			EQU	084H	
;R_DESTINATION+1	EQU	085H
;R_DESTINATION+2	EQU	086H
R_SOURCE					EQU	087H	
;R_SOURCE+1				EQU	088H
R_LEN							EQU	089H

;EQU	08AH
;EQU	08BH
;EQU	08CH
;EQU	08DH
;EQU	08EH
;EQU	08FH
;============================================09XH
DELAY_Xms		EQU	090H
KeyCnt			EQU	091H
FLAG2				EQU	092H
		PT11				EQU	0	;O_LPT1.1
		CAL_OPTION	EQU	1	;0:CAL1	;1:CAL2
		OFF_ON			EQU	2	;0:OFF	;1:ON
		POWERED			EQU	3	
		RANGE				EQU	4	;0:100K	;1K
		UNIT				EQU	5	;0:J	1:k[
		
		
		
FLAG_UNIT		EQU	093H
TEMP				EQU	094H
ErrorFlag		EQU	095H
;--------------------------------EEPROM
S_REG_EE		EQU	096H
EEADDRESS		EQU	097H
TEMR				EQU	098H
eedatemp		EQU	099H
R_LEN_EE		EQU	09AH
EECNT				EQU	09BH
;						EQU	09CH
;						EQU	09DH
;						EQU	09EH
;						EQU	09FH
;============================================0AXH
RS_H				EQU	0A0H
RS_L				EQU	0A1H
TS_GAINH		EQU	0A2H
TS_GAINL		EQU	0A3H
TP_GAINH		EQU	0A4H
TP_GAINL		EQU	0A5H
TPV_H				EQU	0A6H
TPV_L				EQU	0A7H
TSV_H				EQU	0A8H
TSV_L				EQU	0A9H
T1_H				EQU	0AAH
T1_L				EQU	0ABH
T2_H				EQU	0ACH
T2_L				EQU	0ADH
BUF_H				EQU	0AEH
BUF_L				EQU	0AFH
;============================================0BXH
ADC_CNT			EQU	0B0H
NET_CNT			EQU	0B1H	;RF->RS->TPZ->TP
TS_H				EQU	0B2H
TS_L				EQU	0B3H
TP_H				EQU	0B4H
TP_L				EQU	0B5H
AZ_ADH			EQU	0B6H
AZ_ADL			EQU	0B7H
RF_ADH			EQU	0B8H
RF_ADL			EQU	0B9H
RS_ADH			EQU	0BAH
RS_ADL			EQU	0BBH
TPZ_ADH			EQU	0BCH
TPZ_ADL			EQU	0BDH
TP_ADH			EQU	0BEH
TP_ADL			EQU	0BFH

;============================================0CXH
INT_W				EQU	0C0H
INT_STATUS	EQU	0C1H
DELAY_BF		EQU	0C2H
BUF_ADOH		EQU	0C3H
BUF_ADOM		EQU	0C4H
BUF_ADOL		EQU	0C5H
;						EQU	0C6H
;						EQU	0C7H
RF100K_GAINH					EQU	0C8H
RF100K_GAINL					EQU	0C9H
RF1K_GAINH						EQU	0CAH
RF1K_GAINL						EQU	0CBH
;						EQU	0CCH
;						EQU	0CDH
;						EQU	0CEH
;						EQU	0CFH
;============================================0DXH
AL					EQU	0D0H
AH					EQU	0D1H
EAL					EQU	0D2H
EAH					EQU	0D3H
BL					EQU	0D4H
BH					EQU	0D5H
EBL					EQU	0D6H
EBH					EQU	0D7H
CL					EQU	0D8H
CH					EQU	0D9H
ECL					EQU	0DAH
ECH					EQU	0DBH
DL					EQU	0DCH
DH					EQU	0DDH
EDL					EQU	0DEH
EDH					EQU	0DFH
;===========================================0EXH
;						EQU	0E0H
;						EQU	0E1H
;						EQU	0E2H
;						EQU	0E3H
;						EQU	0E4H
;						EQU	0E5H
;						EQU	0E6H
;						EQU	0E7H
;						EQU	0E8H
;						EQU	0E9H
;						EQU	0EAH
;						EQU	0EBH
;						EQU	0ECH
;						EQU	0EDH
;						EQU	0EEH
;						EQU	0EFH
;===========================================0FXH
MD1					EQU	0F0H
MD2					EQU	0F1H
MD3					EQU	0F2H
MDL1				EQU	0F3H
MDL2				EQU	0F4H
MDL3				EQU	0F5H
S_REG				EQU	0F6H
MD4					EQU	0F7H
;						EQU	0F8H
;						EQU	0F9H
;						EQU	0FAH
;						EQU	0FBH
;						EQU	0FCH
;						EQU	0FDH
;						EQU	0FEH
;						EQU	0FFH
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;=============================================10XH
;		EQU	100H
;		EQU	101H
;		EQU	102H
;		EQU	103H
;		EQU	104H
;		EQU	105H
;		EQU	106H
;		EQU	107H
;		EQU	108H
;		EQU	109H
;		EQU	10AH
;		EQU	10BH
;		EQU	10CH
;		EQU	10DH
;		EQU	10EH
;		EQU	10FH
;=============================================11XH
;		EQU	110H
;		EQU	111H
;		EQU	112H
;		EQU	113H
;		EQU	114H
;		EQU	115H
;		EQU	116H
;		EQU	117H
;		EQU	118H
;		EQU	119H
;		EQU	11AH
;		EQU	11BH
;		EQU	11CH
;		EQU	11DH
;		EQU	11EH
;		EQU	11FH
;=============================================12XH
;		EQU	120H
;		EQU	121H
;		EQU	122H
;		EQU	123H
;		EQU	124H
;		EQU	125H
;		EQU	126H
;		EQU	127H
;		EQU	128H
;		EQU	129H
;		EQU	12AH
;		EQU	12BH
;		EQU	12CH
;		EQU	12DH
;		EQU	12EH
;		EQU	12FH
;=============================================13XH
;		EQU	130H
;		EQU	131H
;		EQU	132H
;		EQU	133H
;		EQU	134H
;		EQU	135H
;		EQU	136H
;		EQU	137H
;		EQU	138H
;		EQU	139H
;		EQU	13AH
;		EQU	13BH
;		EQU	13CH
;		EQU	13DH
;		EQU	13EH
;		EQU	13FH
;=============================================14XH
;		EQU	140H
;		EQU	141H
;		EQU	142H
;		EQU	143H
;		EQU	144H
;		EQU	145H
;		EQU	146H
;		EQU	147H
;		EQU	148H
;		EQU	149H
;		EQU	14AH
;		EQU	14BH
;		EQU	14CH
;		EQU	14DH
;		EQU	14EH
;		EQU	14FH
;=============================================15XH
;		EQU	150H
;		EQU	151H
;		EQU	152H
;		EQU	153H
;		EQU	154H
;		EQU	155H
;		EQU	156H
;		EQU	157H
;		EQU	158H
;		EQU	159H
;		EQU	15AH
;		EQU	15BH
;		EQU	15CH
;		EQU	15DH
;		EQU	15EH
;		EQU	15FH
;=============================================16XH
;		EQU	160H
;		EQU	161H
;		EQU	162H
;		EQU	163H
;		EQU	164H
;		EQU	165H
;		EQU	166H
;		EQU	167H
;		EQU	168H
;		EQU	169H
;		EQU	16AH
;		EQU	16BH
;		EQU	16CH
;		EQU	16DH
;		EQU	16EH
;		EQU	16FH
;=============================================17XH
;		EQU	170H
;		EQU	171H
;		EQU	172H
;		EQU	173H
;		EQU	174H
;		EQU	175H
;		EQU	176H
;		EQU	177H
;		EQU	178H
;		EQU	179H
;		EQU	17AH
;		EQU	17BH
;		EQU	17CH
;		EQU	17DH
;		EQU	17EH
;		EQU	17FH
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;=============================================18XH
;		EQU	180H
;		EQU	181H
;		EQU	182H
;		EQU	183H
;		EQU	184H
;		EQU	185H
;		EQU	186H
;		EQU	187H
;		EQU	188H
;		EQU	189H
;		EQU	18AH
;		EQU	18BH
;		EQU	18CH
;		EQU	18DH
;		EQU	18EH
;		EQU	18FH
;=============================================19XH
;		EQU	190H
;		EQU	191H
;		EQU	192H
;		EQU	193H
;		EQU	194H
;		EQU	195H
;		EQU	196H
;		EQU	197H
;		EQU	198H
;		EQU	199H
;		EQU	19AH
;		EQU	19BH
;		EQU	19CH
;		EQU	19DH
;		EQU	19EH
;		EQU	19FH
;=============================================1AXH
;		EQU	1A0H
;		EQU	1A1H
;		EQU	1A2H
;		EQU	1A3H
;		EQU	1A4H
;		EQU	1A5H
;		EQU	1A6H
;		EQU	1A7H
;		EQU	1A8H
;		EQU	1A9H
;		EQU	1AAH
;		EQU	1ABH
;		EQU	1ACH
;		EQU	1ADH
;		EQU	1AEH
;		EQU	1AFH
;=============================================1BXH
;		EQU	1B0H
;		EQU	1B1H
;		EQU	1B2H
;		EQU	1B3H
;		EQU	1B4H
;		EQU	1B5H
;		EQU	1B6H
;		EQU	1B7H
;		EQU	1B8H
;		EQU	1B9H
;		EQU	1BAH
;		EQU	1BBH
;		EQU	1BCH
;		EQU	1BDH
;		EQU	1BEH
;		EQU	1BFH
;=============================================1CXH
;		EQU	1C0H
;		EQU	1C1H
;		EQU	1C2H
;		EQU	1C3H
;		EQU	1C4H
;		EQU	1C5H
;		EQU	1C6H
;		EQU	1C7H
;		EQU	1C8H
;		EQU	1C9H
;		EQU	1CAH
;		EQU	1CBH
;		EQU	1CCH
;		EQU	1CDH
;		EQU	1CEH
;		EQU	1CFH
;=============================================1DXH
;		EQU	1D0H
;		EQU	1D1H
;		EQU	1D2H
;		EQU	1D3H
;		EQU	1D4H
;		EQU	1D5H
;		EQU	1D6H
;		EQU	1D7H
;		EQU	1D8H
;		EQU	1D9H
;		EQU	1DAH
;		EQU	1DBH
;		EQU	1DCH
;		EQU	1DDH
;		EQU	1DEH
;		EQU	1DFH
;=============================================1EXH
;		EQU	1E0H
;		EQU	1E1H
;		EQU	1E2H
;		EQU	1E3H
;		EQU	1E4H
;		EQU	1E5H
;		EQU	1E6H
;		EQU	1E7H
;		EQU	1E8H
;		EQU	1E9H
;		EQU	1EAH
;		EQU	1EBH
;		EQU	1ECH
;		EQU	1EDH
;		EQU	1EEH
;		EQU	1EFH
;=============================================1FXH
;		EQU	1F0H
;		EQU	1F1H
;		EQU	1F2H
;		EQU	1F3H
;		EQU	1F4H
;		EQU	1F5H
;		EQU	1F6H
;		EQU	1F7H
;		EQU	1F8H
;		EQU	1F9H
;		EQU	1FAH
;		EQU	1FBH
;		EQU	1FCH
;		EQU	1FDH
;		EQU	1FEH
;		EQU	1FFH
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^















